## visad
Interface GriddedDoubleSet

All Known Implementing Classes:
  Gridded1DDoubleSet, Gridded2DDoubleSet, Gridded3DDoubleSet

public interface GriddedDoubleSet

GriddedDoubleSet is an interface for GriddedSets that have double-precision samples rather than single-precision samples.

Method Summary
`double[][]` `doubleToGrid(double[][] value)`
`int[]` `doubleToIndex(double[][] value)`
`void` `doubleToInterp(double[][] value, int[][] indices, double[][] weights)`
`double[][]` `getDoubles(boolean copy)`
`double[][]` `gridToDouble(double[][] grid)`
`double[][]` `indexToDouble(int[] index)`

Method Detail

### getDoubles

    public double[][] getDoubles(boolean copy)
                          throws VisADException

  Throws:
    `VisADException`

### indexToDouble

    public double[][] indexToDouble(int[] index)
                             throws VisADException

  Throws:
    `VisADException`

### doubleToIndex

    public int[] doubleToIndex(double[][] value)
                        throws VisADException

  Throws:
    `VisADException`

### gridToDouble

    public double[][] gridToDouble(double[][] grid)
                            throws VisADException

  Throws:
    `VisADException`

### doubleToGrid

    public double[][] doubleToGrid(double[][] value)
                            throws VisADException

  Throws:
    `VisADException`

### doubleToInterp

    public void doubleToInterp(double[][] value,
                               int[][] indices,
                               double[][] weights)
                        throws VisADException

  Throws:
    `VisADException`